Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.pmease.quickbuild.repository
Class QuickBuildModule

    java.lang.Object
      com.pmease.quickbuild.repository.RepositoryModule
          com.pmease.quickbuild.repository.QuickBuildModule

All Implemented Interfaces:
  java.io.Serializable

public class QuickBuildModule
extends RepositoryModule

See Also:
  Serialized Form

Constructor Summary
`QuickBuildModule()`

Method Summary
`static QuickBuildModule` | `decode(java.lang.String encodedText)`
`java.lang.String` | `encode()`
`java.lang.String` | `getDestPath()` OGNL: Specify the directory relative to the checkouts directory of current configuration, where the matching artifacts under the specified source path should be retrieved to.
`java.lang.String` | `getFileNamePatterns()` OGNL: Specify file name patterns of artifacts to retrieve, for example: *.zip, ${build.version}*.zip, ${build.version}.
`java.lang.String` | `getSrcPath()` OGNL: Specify source path to retrieve artifacts from.
`boolean` | `isRetrieveRecursively()` OGNL: Whether or not to retrieve matched artifacts recursively under specified source path.
`void` | `setDestPath(java.lang.String destPath)`
`void` | `setFileNamePatterns(java.lang.String fileNamePatterns)`
`void` | `setRetrieveRecursively(boolean retrieveRecursively)`
`void` | `setSrcPath(java.lang.String srcPath)`

Methods inherited from class com.pmease.quickbuild.repository.RepositoryModule
`isSelected, setSelected`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### QuickBuildModule

    public QuickBuildModule()

Method Detail

### getSrcPath

    public java.lang.String getSrcPath()

  OGNL: Specify source path to retrieve artifacts from. This path is relative to artifacts directory of specified build above. So \".\" will refer to the artifacts directory itself.

  Returns:

### setSrcPath

    public void setSrcPath(java.lang.String srcPath)

### getFileNamePatterns

    public java.lang.String getFileNamePatterns()

  OGNL: Specify file name patterns of artifacts to retrieve, for example: *.zip, ${build.version}*.zip, ${build.version}.*. Multiple patterns can be specified as long as they are seperated by spaces(Of course, a single pattern includes spaces should be quoted). If left empty, all files will be retrieved.

  Returns:

### setFileNamePatterns

    public void setFileNamePatterns(java.lang.String fileNamePatterns)

### isRetrieveRecursively

    public boolean isRetrieveRecursively()

  OGNL: Whether or not to retrieve matched artifacts recursively under specified source path.

  Returns:

### setRetrieveRecursively

    public void setRetrieveRecursively(boolean retrieveRecursively)

### getDestPath

    public java.lang.String getDestPath()

  OGNL: Specify the directory relative to the checkouts directory of current configuration, where the matching artifacts under the specified source path should be retrieved to. If left empty, retrieved code will be put into directory defined by the source path relative to the checkouts directory.

  Returns:

### setDestPath

    public void setDestPath(java.lang.String destPath)

### encode

    public java.lang.String encode()

### decode

    public static QuickBuildModule decode(java.lang.String encodedText)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 PMEase Inc. All Rights Reserved.